Bug 1649368 - [RFE] provide possibility to override default internal dhcp client behaviour
Summary: [RFE] provide possibility to override default internal dhcp client behaviour
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: NetworkManager
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.0
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1755139 1738635
TreeView+ depends on / blocked
 
Reported: 2018-11-13 13:53 UTC by Vladimir Benes
Modified: 2020-05-05 17:23 UTC (History)
10 users (show)

Fixed In Version: NetworkManager-1.22.0-0.2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:52:36 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 5050631 0 None None None 2020-05-05 17:23:32 UTC
Red Hat Product Errata RHBA-2020:1847 0 None None None 2020-04-28 16:53:54 UTC

Description Vladimir Benes 2018-11-13 13:53:46 UTC
Description of problem:
this test failed:
    * Add connection type "ethernet" named "con_ipv4" for device "eth2" ... passed in 0.194s
    * Bring "up" connection "con_ipv4" ... passed in 2.150s
    * Execute "echo 'send fqdn.encoded off;' > /etc/dhcp/dhclient-eth2.conf" ... passed in 0.304s
    * Execute "echo 'send fqdn.server-update off;' >> /etc/dhcp/dhclient-eth2.conf" ... passed in 0.303s
    * Open editor for connection "con_ipv4" ... passed in 0.300s
    * Submit "set ipv4.dhcp-fqdn foo.bar.com" in editor ... passed in 0.050s
    * Save in editor ... passed in 0.251s
    * Quit editor ... passed in 0.050s
    * Run child "sudo tshark -l -O bootp -i eth2 > /tmp/tshark.log" ... passed in 0.004s
Running as user "root" and group "root". This could be dangerous.
Capturing on 'eth2'
     When "empty" is not visible with command "file /tmp/tshark.log" in "150" seconds ... passed in 2.350s
    * Bring "up" connection "con_ipv4" ... passed in 0.215s
     And "foo.bar.com" is visible with command "cat /tmp/tshark.log" ... passed in 1.211s
     And "Server: Client" is visible with command "cat /tmp/tshark.log" ... failed in 1.114s


so we are unable to provide ASCII coding and Server: Client 

as was possible with:
echo 'send fqdn.encoded off;' > /etc/dhcp/dhclient-eth2.conf
echo 'send fqdn.server-update off;' >> /etc/dhcp/dhclient-eth2.conf

Version-Release number of selected component (if applicable):
1.14/master

Comment 3 Vladimir Benes 2019-12-06 13:09:59 UTC
covered by the new version of 
nmcli_ipv4_override_fqdn
nmcli_ipv4_override_fqdn_var1

Comment 5 errata-xmlrpc 2020-04-28 16:52:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1847


Note You need to log in before you can comment on or make changes to this bug.